cdac.medinfo.sdk.hl7282.hl7net.commons

## Interface IClientQueryCancellation

- All Known Implementing Classes:
    ClientSideQCNAgent

      public interface IClientQueryCancellation

  IClientQueryCancellation is the interface for Sending Queries and Receiving responses. The class that is interested in Sending Queries and Receiving responses implements this interface. This interface tells about the canceled responses and query id for which no action is performed(i.e Unprocessed Queries).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISegmentSet` | `generateCancellationQuery(java.lang.String strQueryID)` Generates segment set for QCN^J01.
    `ISingleCollection<ISegmentSet>` | `getCancelledMessages()` Retrieves all Responses which are canceled by user.
    `ISingleCollection<java.lang.String>` | `getCancelledQueries()` Gets all the canceled queries which are send by client.
    `boolean` | `processReceive(ISegmentSet objSegmentSet)` Keeps track for the Responses which are received by client.
    `boolean` | `processSend(ISegmentSet objSegmentSet)` Keeps track for the Queries which are Send by client.
    `void` | `setStoreCancelledMessage(boolean bCancelledMessage)` Sets the Mode for retrieving canceled messages By default its value is set true.

- - ### Method Detail

    - #### processSend

          boolean processSend(ISegmentSet objSegmentSet)

      Keeps track for the Queries which are Send by client.
      Parameters:
        `objSegmentSet` - Object of Segment set send by Client.
      Returns:
        this will return true in case of Query is canceled or Invalid query.

    - #### processReceive

          boolean processReceive(ISegmentSet objSegmentSet)

      Keeps track for the Responses which are received by client.
      Parameters:
        `objSegmentSet` - Object of Segment set received to client.
      Returns:
        true if received response is canceled response else false.

    - #### generateCancellationQuery

          ISegmentSet generateCancellationQuery(java.lang.String strQueryID)

      Generates segment set for QCN^J01.
      Parameters:
        `strQueryID` - Query Id for which to generate Segment Set.
      Returns:
        ISegmentSet object of Segment set.

    - #### getCancelledMessages

          ISingleCollection<ISegmentSet> getCancelledMessages()

      Retrieves all Responses which are canceled by user. This will only return this Segment set collection in case of flag set by user.
      Returns:
        ISingleCollection Collection of Canceled Segment set.

    - #### setStoreCancelledMessage

          void setStoreCancelledMessage(boolean bCancelledMessage)

      Sets the Mode for retrieving canceled messages By default its value is set true.
      Parameters:
        `blnCancelledMessage` - set true then store canceled messages else false.

    - #### getCancelledQueries

          ISingleCollection<java.lang.String> getCancelledQueries()

      Gets all the canceled queries which are send by client.
      Returns:
        ISingleCollection collection of Query id.